%ifnarch ppc64le
%bcond_without check
%endif

%global goipath         github.com/dsnet/compress
Version:                0.0.1

%gometa

%global common_description %{expand:
This package hosts a collection of compression related libraries. The goal of
this project is to provide pure Go implementations for popular compression
algorithms beyond what the Go standard library provides. The goals for these
packages are as follows:
* Maintainable: That the code remains well documented, well tested, readable,
  easy to maintain, and easy to verify that it conforms to the specification
  for the format being implemented.
* Performant: To be able to compress and decompress within at least 80% of the
  rates that the C implementations are able to achieve.
* Flexible: That the code provides low-level and fine granularity control over
  the compression streams similar to what the C APIs would provide.

Of these three, the first objective is often at odds with the other two
objectives and provides interesting challenges. Higher performance can often be
achieved by muddling abstraction layers or using non-intuitive low-level
primitives. Also, more features and functionality, while useful in some
situations, often complicates the API. Thus, this package will attempt to
satisfy all the goals, but will defer to favoring maintainability when the
performance or flexibility benefits are not significant enough.}

%global golicenses      LICENSE.md
%global godocs          doc README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Collection of compression related Go packages

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/dsnet/golib/unitconv)
BuildRequires:  golang(github.com/klauspost/compress/flate)
BuildRequires:  golang(github.com/ulikunitz/xz/lzma)
BuildRequires:  brotli-devel
BuildRequires:  bzip2-devel
BuildRequires:  libzstd-devel
BuildRequires:  xz-devel
BuildRequires:  zlib-devel

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.0.1-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
